How to stacked tolerance values inside dimension suffix box when using blank dimension type?

Experimenter
Experimenter

I'm creating a variable table and want to label the dimensions by letter such as 'A', 'B', etc.  I create the dimension and set the type to 'Blank', add the letter to the prefix box and then want to show the tolerance in the suffix box.  I haven't found a way to stack the tolerance values inside the suffix box.

 

This works in a note: 

%{/ST+1^-0}

note.PNG

 

 

 

When I try it in the dimension suffix box it does not work:

dim.gif

error.PNG

 

4 REPLIES

Betreff: How to stacked tolerance values inside dimension suffix box when using blank dimension type

Honored Contributor
Honored Contributor

Hi,


the only way I have found immediately is, to create a real family of part, bring the master into a draft file, build the variable family table and use the replace of variables in dimensions.

 

I first have defined the dim style using tolerance and after changing value to variable letter the tolerance still is kept.

 

20161011_1752.PNG



regards
Wolfgang

Betreff: How to stacked tolerance values inside dimension suffix box when using blank dimension type

Experimenter
Experimenter

Thanks for the idea Wolfgang.  That works but I'm not actually using family parts built into SE.  We have an external server that stores the data and the model acts as a template driven when needed to create models only when requested.  I'll have to test out what happens to our process when changing it to a family of parts as I have little experience with this.  

Betreff: How to stacked tolerance values inside dimension suffix box when using blank dimension type

Honored Contributor
Honored Contributor

Hi,

 

 

I also only defined the FOP in the master part but did not create them individually.

For creating the draft this still is enough.

 

But it also is no big task and work to make them real parts.

 

So I don't see any re



regards
Wolfgang

Re: How to stacked tolerance values inside dimension suffix box when using blank dimension type?

Experimenter
Experimenter

Hawcad's family of parts suggestion would have worked if my work flow didn't prohibit it as a solution.  I was able to inspect what happens to the dimension when linking a family of parts variable to a draft dimension and discovered there is a text override taking place.  I utilized this by writing a macro to override pre-selected dimension with text the user inputs.  Here is the VB code if anyone is interested in duplicating.

 

 

Module Module1
    Sub Main()
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgeDraft.DraftDocument = Nothing
        Dim objSet As SolidEdgeFramework.SelectSet = Nothing
        Dim objDim As SolidEdgeFrameworkSupport.Dimension = Nothing

        'Connect to a running instance of Solid Edge.
        objApp = GetObject(, "SolidEdge.Application")

        'Access the active document.
        objDoc = objApp.ActiveDocument

        'Get current selected object
        objSet = objDoc.SelectSet

        If objSet.Count = 0 Then
            MsgBox("Nothing Selected")
            Exit Sub
        ElseIf objSet.Count > 1 Then
            MsgBox("More than one object selected")
            Exit Sub
        End If

        'Verify user selected a dimension
        'SolidEdgeFramework.ObjectType.igDimension
        On Error GoTo getOut
        objDim = objSet(0)

        'Ask user for override value
        Dim inputString As String
        inputString = InputBox(Prompt:="Enter override value: ", Title:="Override Dimension", DefaultResponse:="Example: 'A'")

        'Verify value was entered
        If inputString = "Example: 'A'" Or inputString = vbNullString Then
            Exit Sub
        End If

        'Get to work
        'Override value and turn off not-to-scale underline style
        objDim.OverrideString = inputString
        objDim.Style.NTSSymbol = SolidEdgeFrameworkSupport.DimNTSTypeConstants.igDimStyleNTSNone

getOut:
        objDim = Nothing
        objSet = Nothing
        objApp = Nothing
        objDoc = Nothing
    End Sub
End Module